
/*
Copyright 2007-2011 Kim A. Brandt <kimabrandt@gmx.de>

This file is part of yarip.

Yarip is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Yarip is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with yarip; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function YaripObject()
{
    this.currentVersion = function()
    {
        return yarip.currentVersion();
    }

    this.newId = function()
    {
        return yarip.getId();
    }

    this.__defineGetter__("CHARSET", function() {
            return yarip.CHARSET;
        });

    this.getRegExp = function(value)
    {
        switch (value) {
        case "uriSimple": return yarip.uriSimpleRegExp;
        case "findTld": return yarip.findTldRegExp;
        }
    }

    this.getPageById = function(id)
    {
        return yarip.map.getById(id);
    }

    this.checkXPath = function(value)
    {
        return yarip.checkXPath(value);
    }

    this.checkRegExp = function(value)
    {
        return yarip.checkRegExp(value);
    }
}

